/// <reference types="react" />
import * as TippyReact from "@tippyjs/react";
import PropTypes from "prop-types";
import type * as tippy from "tippy.js";
import type { SizeToFitOptions } from "./SizeToFitModifier";
type TippyProps = TippyReact.TippyProps;
export interface ITippyPopoverProps extends TippyProps {
    disableContentSandbox?: boolean;
    lazy?: boolean;
    flip?: boolean;
    sizeToFit?: boolean | SizeToFitOptions;
    onClose?: () => void;
}
/**
 * @deprecated prefer Popover from "@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui" instead
 */
declare function TippyPopover({ className, disableContentSandbox, content, delay, lazy, interactive, flip, sizeToFit, popperOptions, onShow, onHide, onClose, ...props }: ITippyPopoverProps): import("react/jsx-runtime").JSX.Element;
declare namespace TippyPopover {
    var propTypes: {
        children?: import("react").Validator<import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>> | null | undefined> | undefined;
        content?: import("react").Validator<import("react").ReactNode> | undefined;
        visible?: import("react").Validator<boolean | null | undefined> | undefined;
        disabled?: import("react").Validator<boolean | null | undefined> | undefined;
        className?: import("react").Validator<string | null | undefined> | undefined;
        singleton?: import("react").Validator<{
            data?: any;
            hook(args: {
                instance: tippy.Instance<tippy.Props>;
                content: import("react").ReactNode;
                props: tippy.Props;
            }): void;
        } | null | undefined> | undefined;
        reference?: import("react").Validator<Element | import("react").RefObject<Element> | null | undefined> | undefined;
        ref?: import("react").Validator<import("react").Ref<Element> | undefined> | undefined;
        render?: import("react").Validator<((attrs: {
            'data-placement': import("@popperjs/core").Placement;
            'data-reference-hidden'?: string | undefined;
            'data-escaped'?: string | undefined;
        }, content?: import("react").ReactNode, instance?: tippy.Instance<tippy.Props> | undefined) => import("react").ReactNode) | null | undefined> | undefined;
        plugins?: import("react").Validator<tippy.Plugin<unknown>[] | null | undefined> | undefined;
        offset?: import("react").Validator<[number, number] | (({ placement, popper, reference, }: {
            placement: import("@popperjs/core").Placement;
            popper: import("@popperjs/core").Rect;
            reference: import("@popperjs/core").Rect;
        }) => [number, number]) | null | undefined> | undefined;
        duration?: import("react").Validator<number | [number | null, number | null] | null | undefined> | undefined;
        maxWidth?: import("react").Validator<string | number | null | undefined> | undefined;
        zIndex?: import("react").Validator<number | null | undefined> | undefined;
        animation?: import("react").Validator<string | boolean | null | undefined> | undefined;
        sticky?: import("react").Validator<boolean | "reference" | "popper" | null | undefined> | undefined;
        role?: import("react").Validator<string | null | undefined> | undefined;
        touch?: import("react").Validator<boolean | "hold" | ["hold", number] | null | undefined> | undefined;
        arrow?: import("react").Validator<string | boolean | SVGElement | DocumentFragment | null | undefined> | undefined;
        onCreate?: import("react").Validator<((instance: tippy.Instance<tippy.Props>) => void) | null | undefined> | undefined;
        delay?: import("react").Validator<number | [number | null, number | null] | null | undefined> | undefined;
        placement?: import("react").Validator<import("@popperjs/core").Placement | null | undefined> | undefined;
        animateFill?: import("react").Validator<boolean | null | undefined> | undefined;
        appendTo?: import("react").Validator<"parent" | Element | ((ref: Element) => Element) | null | undefined> | undefined;
        aria?: import("react").Validator<{
            content?: "auto" | "describedby" | "labelledby" | null | undefined;
            expanded?: boolean | "auto" | undefined;
        } | null | undefined> | undefined;
        followCursor?: import("react").Validator<boolean | "initial" | "horizontal" | "vertical" | null | undefined> | undefined;
        getReferenceClientRect?: import("react").Validator<tippy.GetReferenceClientRect | null | undefined> | undefined;
        hideOnClick?: import("react").Validator<boolean | "toggle" | null | undefined> | undefined;
        ignoreAttributes?: import("react").Validator<boolean | null | undefined> | undefined;
        inlinePositioning?: import("react").Validator<boolean | null | undefined> | undefined;
        interactive?: import("react").Validator<boolean | null | undefined> | undefined;
        interactiveBorder?: import("react").Validator<number | null | undefined> | undefined;
        interactiveDebounce?: import("react").Validator<number | null | undefined> | undefined;
        moveTransition?: import("react").Validator<string | null | undefined> | undefined;
        popperOptions?: import("react").Validator<Partial<import("@popperjs/core").Options> | null | undefined> | undefined;
        showOnCreate?: import("react").Validator<boolean | null | undefined> | undefined;
        trigger?: import("react").Validator<string | null | undefined> | undefined;
        triggerTarget?: import("react").Validator<Element | Element[] | null | undefined> | undefined;
        onAfterUpdate?: import("react").Validator<((instance: tippy.Instance<tippy.Props>, partialProps: Partial<tippy.Props>) => void) | null | undefined> | undefined;
        onBeforeUpdate?: import("react").Validator<((instance: tippy.Instance<tippy.Props>, partialProps: Partial<tippy.Props>) => void) | null | undefined> | undefined;
        onDestroy?: import("react").Validator<((instance: tippy.Instance<tippy.Props>) => void) | null | undefined> | undefined;
        onHidden?: import("react").Validator<((instance: tippy.Instance<tippy.Props>) => void) | null | undefined> | undefined;
        onHide?: import("react").Validator<((instance: tippy.Instance<tippy.Props>) => false | void) | null | undefined> | undefined;
        onMount?: import("react").Validator<((instance: tippy.Instance<tippy.Props>) => void) | null | undefined> | undefined;
        onShow?: import("react").Validator<((instance: tippy.Instance<tippy.Props>) => false | void) | null | undefined> | undefined;
        onShown?: import("react").Validator<((instance: tippy.Instance<tippy.Props>) => void) | null | undefined> | undefined;
        onTrigger?: import("react").Validator<((instance: tippy.Instance<tippy.Props>, event: Event) => void) | null | undefined> | undefined;
        onUntrigger?: import("react").Validator<((instance: tippy.Instance<tippy.Props>, event: Event) => void) | null | undefined> | undefined;
        onClickOutside?: import("react").Validator<((instance: tippy.Instance<tippy.Props>, event: Event) => void) | null | undefined> | undefined;
        allowHTML?: import("react").Validator<boolean | null | undefined> | undefined;
        inertia?: import("react").Validator<boolean | null | undefined> | undefined;
        theme?: import("react").Validator<string | null | undefined> | undefined;
        disablContentSandbox: PropTypes.Requireable<boolean>;
        lazy: PropTypes.Requireable<boolean>;
    };
}
export default TippyPopover;
